function [ percVals ] = computePerc( values, percentile )
    percVals = zeros(size(values, 1), 1);
    for i = 1:size(values, 1)
        pd = fitdist(squeeze(values(i,:)'), 'Normal');
        percVals(i) = icdf(pd, percentile);
    end
end

